# Задание ВСР 2.1

## Юрков Е.С.

---

## Архитектура ЭВМ

### Архитектура ЭВМ
- **Год выпуска**: 2025
- **Аннотация**: Курс посвящен рассмотрению архитектурных принципов построения ЭВМ:
структуры центрального процессора, системы команд, организации ввода-вывода,
управления памятью, способов повышения производительности ЭВМ. Большое внимание
обращается на то, каким образом особенности построения компьютера вытекают из
базовых принципов, которые сейчас принято называть фоннеймановскими, а реализуемую
на их основе архитектуру ЭВМ — фоннеймановской архитектурой. Курс предназначен
для использования в качестве учебного материала по дисциплинам, посвященным
изучению архитектуры ЭВМ и вычислительных систем и являющимся вводными для
цикла дисциплин, посвященных программированию и использованию вычислительной и
микропроцессорной техники, изучаемым по образовательным программам, связанным с
информационными технологиями.
- **[Ссылка](https://urait.ru/bcode/566711)**


---

## Программирование и разработка ПО

### Разработка приложений с графическим интерфейсом на Python
- **Год выпуска**: 2025
- **Аннотация**: Настоящее пособие содержит основные сведения о создании приложений на
языке Python с графическим пользовательским интерфейсом с помощью библиотеки Tk.
Рассматриваются основные типы элементов, управляющих работой приложения, и
способы их программной реализации. Даются понятия визуального проектирования и
событийного программирования. Приводятся многочисленные практические упражнения
с примерами программного кода, помогающие понять основные способы практической
реализации графических пользовательских интерфейсов. Рассматриваются возможности
библиотеки Tk по созданию компьютерной анимации. В пособии содержатся краткие
теоретические сведения, упражнения и примеры программ с подробными комментариями,
а также задания для самостоятельной работы. В учебном пособии последовательно
вводится понятийный аппарат, формулируются основные объекты, приводятся примеры
программ на языке Python. Соответствует современным требованиям Федерального
государственного образовательного стандарта среднего профессионального образования и
профессиональным квалификационным требованиям. Предназначено для студентов
ссузов обучающихся по направлению «Информатика и вычислительная техника»,
имеющих базовые навыки программирования на языке Python, в том числе с
использованием объектно-ориентированного подхода, желающих повысить уровень своих
знаний в данной предметной области.
- **[Ссылка](https://e.lanbook.com/book/436028)**

### Разработка мобильных приложений на Kotlin
- **Год выпуска**: 2025
- **Аннотация**: Язык Kotlin предлагает выразительный синтаксис, мощную и понятную
систему типов, великолепную поддержку и бесшовную совместимость с существующим
кодом на Java, богатый выбор библиотек и фреймворков. Kotlin может компилироваться в
байт-кодJаvа, поэтому его можно использовать везде, где используется jаvа, включая
Android. А благодаря эффективному компилятору и маленькой стандартной библиотеке
Kotlin практически не привносит накладных расходов. Данная книга научит вас
пользоваться языком Kotlin для создания высококачественных приложений. Написанная
создателями языка — разработчиками в компании JetBrains, — эта книга охватывает такие
темы, как создание предметно-ориентированных языков, функциональное
программирование в JVM, совместное использование Java и Kotlin и др. Издание
предназначено разработчикам, владеющим языком Java и желающим познакомиться и
начать эффективно работать с Kotlin.
- **[Ссылка](https://e.lanbook.com/book/448577)**

---

## Компьютерные сети

### Проектирование и конфигурация компьютерных сетей
- **Год выпуска**: 2025
- **Аннотация**: Целью данного пособия является предоставление студентам, инженерам и
специалистам в области информационных технологий полного и практически
ориентированного руководства по проектированию и конфигурации компьютерных сетей
с внедрением микросервисной архитектуры. В первой главе рассмотрена основная
концепция микросервисной архитектуры и ее влияние на дизайн сетей, включая анализ
преимуществ и вызовов при ее внедрении. Во второй главе исследован процесс
планирования и развертывания сетевой инфраструктуры для поддержки микросервисов,
включая выбор сетевых протоколов, контейнеризацию и оркестрацию. В третьей главе
приведены методы обеспечения безопасности в микросервисных сетях, такие как
аутентификация, авторизация и управление доступом. Четвертая глава посвящена
стратегиям мониторинга, управления и оптимизации производительности микросервисов
и сетевой инфраструктуры. Учебное пособие предназначено для изучения дисциплины
«Информатика» студентами направлений подготовки «Информационные системы и
технологии», «Информатика и вычислительная техника», «Программная инженерия»,
«Инфокоммуникационные технологии и системы связи», «Радиотехника», а также при
подготовке выпускных квалификационных работ.
- **[Ссылка](https://e.lanbook.com/book/447197)**


---

## Веб

### Web-программирование на JavaScript
- **Год выпуска**: 2025
- **Аннотация**: Язык JavaScript является самым популярным и развивающимся языком
разработки сценариев для веб-браузера. В книге делается акцент на актуальную версию
стандарта ES2015 (ES6) и не рассматриваются устаревшие возможности. Технология
DOM выделена в отдельную часть книги, так как является самостоятельной, но может
быть реализована посредством JavaScript. Потенциал DOM, выражающийся в
возможности любого динамического изменения контента веб-страницы, позволяет
создавать не просто веб-страницы, а веб-приложения. Учебное пособие предназначено и
для освоения основ современного объектного программирования и для знакомства с
технологией расширения функционала веб-страниц и придания им динамичности и
интерактивности на уровне клиента. В последнем случае требуется наличие знаний
технологий HTML и CSS. Соответствует современным требованиям Федерального
государственного образовательного стандарта среднего профессионального образования и
профессиональным квалификационным требованиям. Учебное пособие рекомендуется
студентам, обучающимся по образовательной программе среднего профессионального
образования по специальностям, входящим в укрупненные группы специальностей
среднего профессионального образования «Информатика и вычислительная техника» в
рамках изучаемых технологий и для самостоятельного изучения технологий JavaScript и
DOM.
- **[Ссылка](https://e.lanbook.com/book/445289)**

### Разработка web-страниц на HTML, CSS и JavaScript
- **Год выпуска**: 2025
- **Аннотация**: Издание, которое держит в руках начинающий программист, посвящено
разработке web-страниц. Вместе с автором вы пройдете путь от создания простейшего
документа, содержащего только текст, до оформления полноценного ресурса с
иллюстрациями и компонентами интерактивного взаимодействия. Книга познакомит вас с
наиболее важными элементами HTML; основными свойствами, которые указываются в
таблицах стилей CSS; приемами управления объектами документа с помощью языка
программирования JavaScript. Читателя также ждет бонус — рассказ о технологии Ajax с
конкретными примерами, а также вспомогательный материал, посвященный созданию на
своем компьютере полноценной среды разработки. Рекомендовано в качестве
дополнительной литературы для студентов, обучающихся в средних профессиональных
учебных заведениях по направлению «Информатика и вычислительная техника».
Соответствует современным требованиям Федерального государственного
образовательного стандарта среднего профессионального образования и
профессиональным квалификационным требованиям. К книге прилагаются
дополнительные материалы, доступные в электронной библиотечной системе «Лань» по
ссылке или QR-коду, указанным ниже.
- **[Ссылка](https://e.lanbook.com/book/449585)**

---

## Компьютерное моделирование

### Компьютерное моделирование в профессиональной деятельности
- **Год выпуска**: 2025
- **Аннотация**: Издание направлено на освоение студентами методики и технологии
выполнения компьютерных трехмерных моделей реальных изделий мебельной и
машиностроительной промышленности. Показана связь между классическими методами
определения динамических параметров звеньев механизмов и численной реализацией,
заложенной в системах автоматизированного проектирования. Лабораторный практикум
построен на базе системы автоматизированного проектирования Solidworks. Пособие
предназначено для бакалавров, обучающихся по направлениям подготовки «Технология
лесозаготовительных и деревообрабатывающих производств», «Технологические машины
и оборудования», также может быть использовано преподавателями, студентами и всеми
желающими изучить возможности использования систем автоматизированного
проектирования при трехмерном компьютерном моделировании, визуализации
полученных моделей, расчете их кинематических и динамических параметров.
- **[Ссылка](https://e.lanbook.com/book/447248)**

---

## Компьютерная графика

### Компьютерная графика
- **Год выпуска**: 2025
- **Аннотация**: В современной жизни мы постоянно сталкиваемся с компьютерной
графикой. Средства визуализации крайне важны для инженеров и архитекторов,
огромную роль играет компьютерная графика в рекламе и индустрии развлечений. Без нее
было бы невозможным создание многих компьютерных игр. Компьютерная графика
развивается быстрыми темпами, постоянно появляются новые методы и алгоритмы,
позволяющие показывать сложные и захватывающие эффекты, затрачивая для этого все
меньше и меньше вычислительных ресурсов. В данном курсе рассматриваются основные
аспекты компьютерной графики, как чисто математические, так и алгоритмические,
дается описание используемых понятий и основных алгоритмов. Соответствует
актуальным требованиям Федерального государственного образовательного стандарта
среднего профессионального образования и профессиональным требованиям. Курс будет
полезен студентам и всем практикующим специалистам.
- **[Ссылка](https://urait.ru/bcode/566514)**

---

## Информационная безопасность

### Основы информационной безопасности
- **Год выпуска**: 2025
- **Аннотация**: В учебном пособии изложены теоретические и практические основы
создания надежного и безопасного программного обеспечения информационных систем.
Приведены правила, этапы и технологии построения надежного программного
обеспечения. Рассмотрены требования к функциональной надежности и архитектуре
программного обеспечения критически важных систем, методы защиты программного
обеспечения от вредоносных программ, методы обеспечения безопасности программ,
реализуемые на этапах испытания программных комплексов, методы и средства
тестирования и защиты программ от исследования недобросовестными конкурентами и
злоумышленниками. Соответствует актуальным требованиям Федерального
государственного образовательного стандарта среднего профессионального образования и
профессиональным требованиям. Для студентов высших учебных заведений,
обучающихся по инженерно-техническим направлениям подготовки, специалистов в
области надежности, функциональной и информационной безопасности программного
обеспечения.
- **[Ссылка](https://urait.ru/bcode/566079)**

### Защита персональных данных в информационных системах
- **Год выпуска**: 2025
- **Аннотация**: В практикуме приводятся краткие теоретические сведения и методические
пояснения и рекомендации по выполнению практических занятий по учебной дисциплине
«Защита персональных данных в информационных системах», а также порядок их
оформления. Практикум составлен в соответствии с учебным планом по направлению
подготовки «Информационная безопасность» и Федеральным государственным
образовательным стандартом высшего образования по направлению подготовки
«Информационная безопасность» (уровень бакалавриата). Практикум предназначен для
студентов, обучающихся по указанному направлению подготовки.
- **[Ссылка](https://e.lanbook.com/book/437192)**

---

## Теория вероятности и статистика

### Теория вероятностей, математическая статистика, математическое программирование
- **Год выпуска**: 2025
- **Аннотация**: Рассмотрены темы изучаемые в третьей части курса «Высшая математика»:
теория вероятностей математическая статистика и математическое программирование.
Каждая глава содержит теоретические основы с примерами задачи с решениями и задачи
для самостоятельной работы снабженные ответами. Большинство примеров и задач имеют
экономическую направленность. Пособие может быть использовано для самостоятельной
подготовки по данным разделам курса высшей математики. Для студентов и
преподавателей экономических специальностей высших учебных заведений.
- **[Ссылка](https://znanium.ru/catalog/document?id=452742)**

---

## Большие данные и базы данных

### Интеллектуальные системы. Теория хранения и поиска информации
- **Год выпуска**: 2025
- **Аннотация**: Содержание книги представляет собой материал, который использовался при
чтении курсов в Московском государственном университете имени М. В. Ломоносова на
механико-математическом факультете и факультете вычислительной техники и
кибернетики. В учебнике вводится новый вид представления баз данных, называемый
информационно-графовой моделью данных, обобщающей известные ранее модели.
Рассматриваются основные типы задач поиска информации в базах данных, исследуются
проблемы сложности решения этих задач применительно к информационно-графовой
модели.
- **[Ссылка](https://urait.ru/bcode/561948)**

### Организация баз данных
- **Год выпуска**: 2025
- **Аннотация**: В курсе систематически изложены идеи и методы, используемые при
разработке и эксплуатации современных систем управления базами данных.
Общетеоретический материал изложен применительно к одной из популярных СУБД
Oracle. Приведено большое количество работающих примеров в Oracle, позволяющих
студентам на практике овладевать приемами программирования в данной СУБД. Как
показывает опыт, знание теоретических основ баз данных и технологий, используемых в
них, позволяет успешно проектировать и сопровождать современные базы данных.
- **[Ссылка](https://urait.ru/bcode/559377)**

---

## Искусственный интеллект

### Искусственный интеллект. Понимание, применение и перспективы
- **Год выпуска**: 2025
- **Аннотация**: В данном учебнике автор предлагает глубокое и практически
ориентированное изучение искусственного интеллекта (ИИ), делая его доступным для
студентов, преподавателей и профессионалов. Это издание станет ключевым ресурсом для
вузов, стремящихся расширить и углубить свои образовательные программы в области
ИИ, а также повысить свой академический престиж.
- **[Ссылка](https://e.lanbook.com/book/448697)**
